.TH execlineb 1 "Aug 2019"

.SH NAME
execlineb - command launcher for execline scripts

.SH SYNOPSIS
.B execlineb
[ -p | -P | -S nmin | -s nmin ] [ -q | -w | -W ]
[ -c commandline ]
script args

.SH OPTIONS

.TP
-c commandline
execute
.IR commandline ,
do not look for a file.


.SS Options for environment management

.TP
-p
will bypass the
.I push
phase: the current frame of positional parameters will be
.BR overwritten .
The script will
.B not
be reentrant

.TP
-P
will bypass positional parameter handling
.IR completely :
the environment will not be pushed, and positional parameters will be ignored.
.I execlineb -P -c 'script'
is equivalent to, but more efficient than,
.IR "execlineb -c 'emptyenv -P script'" .
You should use the -P option only in standalone scripts that take no arguments,
such as s6's or runit's run scripts.

.TP
-S nmin
.I will
substitute the positional parameters - up to at least
.I nmin
- but
.I will not
push nor set environment variables.
.I execlineb -S3 -c 'script'
is equivalent to, but more efficient than,
.IR "execlineb -c 'elgetpositionals -P3 emptyenv -P script'" .

.TP
-s nmin
behaves just like the -S option, except that it defines $@ as the rest of the command line
.B after
.I nmin
arguments have been removed.

.SS Options for block syntax checking

External execline commands that read blocks, like foreground, use the
.I EXECLINE_STRICT
environment variable.

Normally the EXECLINE_STRICT environment variable is inherited from the caller.
You can force it unset, set to 1, or set to 2 by giving respectively the -q, -w or -W option to execlineb.

.TP
-q
same as EXECLINE_STRICT is unset.

They won't complain at all.

.TP
-w
same as EXECLINE_STRICT is set to 1.

They will print a warning message on stderr if they find their blocks not to be properly quoted.

.TP
-W
same as EXECLINE_STRICT is set to 2.

They will also die.

.SH SEE ALSO

.I /usr/share/doc/execline/execlineb.html
(in execline-doc package)

.SH NOTES

On Debian GNU/Linux system, all binaries from execline package are installed in
.IR /usr/lib/execline/bin/ .

For convenience, a script is provided as
.IR /usr/bin/execlineb ,
which adds
.I /usr/lib/execline/bin/
to
.I PATH
when invoked.
